%define majver %(echo %version | cut -d. -f1-2)

Name:          grantlee-editor
Version:       24.05.1
Release:       1mamba
Summary:       KDE Contact Print Theme Editor
Group:         Graphical Desktop/Look 'n' feel
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org/
Source:        https://download.kde.org/%{stable_kde6}/release-service/%{version}/src/grantlee-editor-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libakonadi-contacts-devel
BuildRequires: libakonadi-devel
BuildRequires: libakonadi-mime-devel
BuildRequires: libassuan-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libgpgme-devel
BuildRequires: libgrantleetheme-devel
BuildRequires: libkf6-karchive-devel
BuildRequires: libkf6-kcolorscheme-devel
BuildRequires: libkf6-kcompletion-devel
BuildRequires: libkf6-kconfig-devel
BuildRequires: libkf6-kconfigwidgets-devel
BuildRequires: libkf6-kcontacts-devel
BuildRequires: libkf6-kcoreaddons-devel
BuildRequires: libkf6-kcrash-devel
BuildRequires: libkf6-kdbusaddons-devel
BuildRequires: libkf6-ki18n-devel
BuildRequires: libkf6-kio-devel
BuildRequires: libkf6-kitemmodels-devel
BuildRequires: libkf6-kjobwidgets-devel
BuildRequires: libkf6-kservice-devel
BuildRequires: libkf6-ktexttemplate-devel
BuildRequires: libkf6-kwidgetsaddons-devel
BuildRequires: libkf6-kxmlgui-devel
BuildRequires: libkf6-solid-devel
BuildRequires: libkf6-syntax-highlighting-devel
BuildRequires: libkleo-devel
BuildRequires: libkmime-devel
BuildRequires: libktextaddons-qt6-devel
BuildRequires: libpimcommon-devel
BuildRequires: libqgpgme-qt6-devel
BuildRequires: libstdc++6-devel
BuildRequires: messagelib-devel
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qtdeclarative-devel
BuildRequires: qt6-qtpositioning-devel
BuildRequires: qt6-qtwebchannel-devel
BuildRequires: qt6-qtwebengine-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: kf6-rpm-macros
BuildRequires: extra-cmake-modules
BuildRequires: libgpgme-devel >= 1.18.0
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
KDE Contact Print Theme Editor.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%find_lang %{name} --with-qt --with-man --with-html --all-name || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/contactprintthemeeditor
%{_bindir}/contactthemeeditor
%{_bindir}/headerthemeeditor
%{_datadir}/applications/org.kde.contactprintthemeeditor.desktop
%{_datadir}/applications/org.kde.contactthemeeditor.desktop
%{_datadir}/applications/org.kde.headerthemeeditor.desktop
%{_datadir}/config.kcfg/grantleethemeeditor.kcfg
%{_datadir}/qlogging-categories6/grantleeditor.categories
%{_datadir}/qlogging-categories6/grantleeditor.renamecategories

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libgrantleethemeeditor.so.*
%doc LICENSES

%changelog
* Sat Jun 15 2024 Automatic Build System <autodist@openmamba.org> 24.05.1-1mamba
- automatic version update by autodist

* Mon May 27 2024 Automatic Build System <autodist@openmamba.org> 24.05.0-1mamba
- automatic version update by autodist

* Thu May 23 2024 Automatic Build System <autodist@openmamba.org> 24.04.90-1mamba
- automatic version update by autodist

* Sun Apr 14 2024 Automatic Build System <autodist@openmamba.org> 24.02.2-1mamba
- automatic version update by autodist

* Mon Mar 25 2024 Automatic Build System <autodist@openmamba.org> 24.02.1-1mamba
- automatic version update by autodist

* Mon Mar 11 2024 Automatic Build System <autodist@openmamba.org> 24.02.0-1mamba
- automatic version update by autodist

* Sun Feb 18 2024 Automatic Build System <autodist@openmamba.org> 23.08.5-1mamba
- automatic version update by autodist

* Sat Dec 09 2023 Automatic Build System <autodist@mambasoft.it> 23.08.4-1mamba
- automatic version update by autodist

* Sat Nov 11 2023 Automatic Build System <autodist@mambasoft.it> 23.08.3-1mamba
- automatic version update by autodist

* Mon Oct 16 2023 Automatic Build System <autodist@mambasoft.it> 23.08.2-1mamba
- automatic version update by autodist

* Sat Sep 16 2023 Automatic Build System <autodist@mambasoft.it> 23.08.1-1mamba
- automatic version update by autodist

* Mon Aug 28 2023 Automatic Build System <autodist@mambasoft.it> 23.08.0-1mamba
- automatic version update by autodist

* Mon Jul 10 2023 Automatic Build System <autodist@mambasoft.it> 23.04.3-1mamba
- automatic version update by autodist

* Sun Jun 11 2023 Automatic Build System <autodist@mambasoft.it> 23.04.2-1mamba
- automatic version update by autodist

* Sat May 13 2023 Automatic Build System <autodist@mambasoft.it> 23.04.1-1mamba
- automatic version update by autodist

* Tue May 02 2023 Automatic Build System <autodist@mambasoft.it> 23.04.0-1mamba
- automatic version update by autodist

* Sat Mar 04 2023 Automatic Build System <autodist@mambasoft.it> 22.12.3-1mamba
- automatic version update by autodist

* Tue Feb 07 2023 Automatic Build System <autodist@mambasoft.it> 22.12.2-1mamba
- automatic version update by autodist

* Sun Jan 08 2023 Automatic Build System <autodist@mambasoft.it> 22.12.1-1mamba
- automatic version update by autodist

* Sun Dec 11 2022 Automatic Build System <autodist@mambasoft.it> 22.12.0-1mamba
- automatic version update by autodist

* Sun Nov 06 2022 Automatic Build System <autodist@mambasoft.it> 22.08.3-1mamba
- automatic version update by autodist

* Mon Oct 17 2022 Automatic Build System <autodist@mambasoft.it> 22.08.2-1mamba
- automatic version update by autodist

* Sat Sep 10 2022 Automatic Build System <autodist@mambasoft.it> 22.08.1-1mamba
- automatic version update by autodist

* Sat Aug 27 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 22.08.0-2mamba
- rebuilt with libgpgme 1.18.0

* Sat Aug 27 2022 Automatic Build System <autodist@mambasoft.it> 22.08.0-1mamba
- automatic version update by autodist

* Sun Jul 10 2022 Automatic Build System <autodist@mambasoft.it> 22.04.3-1mamba
- automatic version update by autodist

* Sun Jun 12 2022 Automatic Build System <autodist@mambasoft.it> 22.04.2-1mamba
- automatic version update by autodist

* Tue May 17 2022 Automatic Build System <autodist@mambasoft.it> 22.04.1-1mamba
- automatic version update by autodist

* Wed Apr 27 2022 Automatic Build System <autodist@mambasoft.it> 22.04.0-1mamba
- automatic version update by autodist

* Sat Mar 05 2022 Automatic Build System <autodist@mambasoft.it> 21.12.3-1mamba
- automatic version update by autodist

* Sun Feb 06 2022 Automatic Build System <autodist@mambasoft.it> 21.12.2-1mamba
- automatic version update by autodist

* Sat Jan 08 2022 Automatic Build System <autodist@mambasoft.it> 21.12.1-1mamba
- automatic version update by autodist

* Tue Dec 14 2021 Automatic Build System <autodist@mambasoft.it> 21.12.0-1mamba
- automatic version update by autodist

* Tue Nov 09 2021 Automatic Build System <autodist@mambasoft.it> 21.08.3-1mamba
- automatic version update by autodist

* Mon Oct 11 2021 Automatic Build System <autodist@mambasoft.it> 21.08.2-1mamba
- automatic version update by autodist

* Sun Sep 05 2021 Automatic Build System <autodist@mambasoft.it> 21.08.1-1mamba
- automatic version update by autodist

* Fri Aug 20 2021 Automatic Build System <autodist@mambasoft.it> 21.08.0-1mamba
- automatic version update by autodist

* Fri Jul 09 2021 Automatic Build System <autodist@mambasoft.it> 21.04.3-1mamba
- automatic version update by autodist

* Sat Jun 19 2021 Automatic Build System <autodist@mambasoft.it> 21.04.2-1mamba
- automatic version update by autodist

* Fri May 14 2021 Automatic Build System <autodist@mambasoft.it> 21.04.1-1mamba
- automatic version update by autodist

* Tue Apr 27 2021 Automatic Build System <autodist@mambasoft.it> 21.04.0-1mamba
- automatic version update by autodist

* Sun Mar 07 2021 Automatic Build System <autodist@mambasoft.it> 20.12.3-1mamba
- automatic version update by autodist

* Sat Feb 06 2021 Automatic Build System <autodist@mambasoft.it> 20.12.2-1mamba
- automatic version update by autodist

* Sat Jan 09 2021 Automatic Build System <autodist@mambasoft.it> 20.12.1-1mamba
- automatic version update by autodist

* Mon Dec 21 2020 Automatic Build System <autodist@mambasoft.it> 20.12.0-1mamba
- automatic version update by autodist

* Sat Nov 07 2020 Automatic Build System <autodist@mambasoft.it> 20.08.3-1mamba
- automatic version update by autodist

* Sun Oct 11 2020 Automatic Build System <autodist@mambasoft.it> 20.08.2-1mamba
- automatic version update by autodist

* Fri Sep 04 2020 Automatic Build System <autodist@mambasoft.it> 20.08.1-1mamba
- automatic version update by autodist

* Fri Aug 21 2020 Automatic Build System <autodist@mambasoft.it> 20.08.0-1mamba
- automatic version update by autodist

* Sun Jul 12 2020 Automatic Build System <autodist@mambasoft.it> 20.04.3-1mamba
- automatic version update by autodist

* Sat Jun 13 2020 Automatic Build System <autodist@mambasoft.it> 20.04.2-1mamba
- automatic version update by autodist

* Sun May 17 2020 Automatic Build System <autodist@mambasoft.it> 20.04.1-1mamba
- automatic version update by autodist

* Thu Apr 30 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 20.04.0-1mamba
- package created using the webbuild interface
